# Generated by Django 4.2.6 on 2023-10-25 09:27

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import simple_history.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='JapaneseCar',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, null=True, upload_to='uploads/cars/')),
                ('car_number', models.CharField(max_length=10, verbose_name='Номер машины')),
                ('car_number_photo', models.ImageField(blank=True, null=True, upload_to='uploads/car_numbers/')),
                ('country', models.CharField(max_length=25, null=True)),
                ('score', models.CharField(blank=True, max_length=255, null=True, verbose_name='Точность')),
            ],
        ),
        migrations.CreateModel(
            name='HistoricalJapaneseCar',
            fields=[
                ('id', models.BigIntegerField(auto_created=True, blank=True, db_index=True, verbose_name='ID')),
                ('image', models.TextField(blank=True, max_length=100, null=True)),
                ('car_number', models.CharField(max_length=10, verbose_name='Номер машины')),
                ('car_number_photo', models.TextField(blank=True, max_length=100, null=True)),
                ('country', models.CharField(max_length=25, null=True)),
                ('score', models.CharField(blank=True, max_length=255, null=True, verbose_name='Точность')),
                ('history_id', models.AutoField(primary_key=True, serialize=False)),
                ('history_date', models.DateTimeField(db_index=True)),
                ('history_change_reason', models.CharField(max_length=100, null=True)),
                ('history_type', models.CharField(choices=[('+', 'Created'), ('~', 'Changed'), ('-', 'Deleted')], max_length=1)),
                ('history_user', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'historical japanese car',
                'verbose_name_plural': 'historical japanese cars',
                'ordering': ('-history_date', '-history_id'),
                'get_latest_by': ('history_date', 'history_id'),
            },
            bases=(simple_history.models.HistoricalChanges, models.Model),
        ),
    ]
